API Reference
Agents

Get one published revision

GET
/v1/agents/{id}/revisions/{rev}

Authorization

bearerAuth
AuthorizationBearer <token>

Long-lived ES256 JWT minted from the dashboard (https://app.sautikit.com/developers/api-keys). Signed by the platform keyring. Carries workspace_id and scopes claims; revoked via the platform deny-list.

In: header

Path Parameters

id*string
Formatuuid
rev*integer
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/revisions/1"
{  "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",  "revision": 1,  "base_prompt": "string",  "accent": "string",  "speech_style": "string",  "voice": "string",  "model": "string",  "pinned_model_version": "string",  "max_call_minutes": 0,  "tools": [    {}  ],  "created_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "validation.bad_request",    "message": "string",    "request_id": "string"  }}
{  "error": {    "code": "validation.bad_request",    "message": "string",    "request_id": "string"  }}
{  "error": {    "code": "validation.bad_request",    "message": "string",    "request_id": "string"  }}